%define upstream_name    App-CSV2Chart
%define upstream_version 0.12.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Command line utility to convert CSV data to a graphical chart
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(Excel::Writer::XLSX)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::CSV)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A command line utility to convert CSV data to a graphical chart. Can generate
.xlsx files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/csv2chart
%{_mandir}/man1/csv2chart.1*

%changelog
* Mon Jul 06 2020 tv <tv> 0.12.0-1.mga8
+ Revision: 1602487
- update to 0.12.0

* Sat Feb 22 2020 shlomif <shlomif> 0.10.0-1.mga8
+ Revision: 1549286
- update to 0.10.0

* Thu Feb 20 2020 umeabot <umeabot> 0.8.2-2.mga8
+ Revision: 1545612
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.8.2-1.mga8
+ Revision: 1484908
- update to 0.8.2

* Fri Jan 03 2020 shlomif <shlomif> 0.8.0-1.mga8
+ Revision: 1475775
- New version 0.8.0

* Sun Aug 25 2019 tv <tv> 0.6.1-1.mga8
+ Revision: 1432084
- update to 0.6.1

* Tue Aug 13 2019 shlomif <shlomif> 0.4.0-1.mga8
+ Revision: 1429228
- cpan2dist

